Pause a sync
curl --request POST \
--url https://api.nango.dev/sync/pause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_config_key": "<string>",
"syncs": [
"github-issues"
],
"connection_id": "<string>"
}
'import requests
url = "https://api.nango.dev/sync/pause"
payload = {
"provider_config_key": "<string>",
"syncs": ["github-issues"],
"connection_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_config_key: '<string>',
syncs: ['github-issues'],
connection_id: '<string>'
})
};
fetch('https://api.nango.dev/sync/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>"
}Syncs
Pause sync(s)
Pauses the schedule of specified sync(s) for a given connection or all applicable connections if no connection is specified.
POST
/
sync
/
pause
Pause a sync
Requires an API key with the
environment:syncs:execute scope. Learn more about API key scopes.Authorizations
The secret key from your Nango environment.
Body
application/json
The ID of the integration that you established within Nango.
A list of sync names that you wish to pause. If empty, all syncs are triggered
Sync name
The ID of the connection. If omitted, the syncs will be paused for all relevant connections.
Response
Successfully paused the sync
Was this page helpful?
⌘I